CREATE DATABASE `tx_ne_param_NOKIA` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;
use `tx_ne_param_NOKIA`;

CREATE TABLE `AUTOMATION_PROGRESS` (
  `IP` varchar(45) DEFAULT NULL,
  `NE_NAME` varchar(255) DEFAULT NULL,
  `VENDOR` varchar(255) DEFAULT NULL,
  `COLLECTED` varchar(10) DEFAULT NULL,
  `COL_ATTEMPT` int(11) DEFAULT 0,
  `CONNECTED_VIA` varchar(45) DEFAULT NULL,
  `GESA` varchar(45) DEFAULT NULL,
  `OM_LINK` varchar(45) DEFAULT NULL,
  `STARTED` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `FULL_LINKS` (
  `HOP_INDEX` varchar(45) DEFAULT NULL,
  `SITE_NAME` varchar(45) DEFAULT NULL,
  `SITE_NAME_LITERAL` varchar(45) DEFAULT NULL,
  `SOURCE_NE` varchar(45) DEFAULT NULL,
  `SOURCE_INT` varchar(45) DEFAULT NULL,
  `TARGET_NE` varchar(45) DEFAULT NULL,
  `TARGET_INT` varchar(45) DEFAULT NULL,
  `PEER` varchar(45) DEFAULT NULL,
  `PREFERENTIAL` varchar(45) DEFAULT NULL,
  `LINK_TYPE` varchar(45) DEFAULT NULL,
  `MEDIA_TX` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `FULL_ROUTING_CHART` (
  `NE_NAME` varchar(45) DEFAULT NULL,
  `INTERFACE` varchar(45) DEFAULT NULL,
  `NE_NAME_NEXT_HOP` varchar(45) DEFAULT NULL,
  `INTERFACE_NEXT_HOP` varchar(45) DEFAULT NULL,
  `DESTINATION` varchar(45) DEFAULT NULL,
  `MASK` int(11) DEFAULT NULL,
  `LAST_IP_DESTINATION` varchar(45) DEFAULT NULL,
  `PROTOCOL` varchar(45) DEFAULT NULL,
  `VRF` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `METRO_LINKS` (
  `HOP_INDEX` int(11) DEFAULT 0,
  `SITE_NAME` varchar(45) DEFAULT NULL,
  `SITE_NAME_LITERAL` varchar(45) DEFAULT NULL,
  `NAME_LITERAL_IDX` varchar(45) DEFAULT NULL,
  `START_SOURCE` varchar(45) DEFAULT NULL,
  `SOURCE_NE` varchar(45) DEFAULT NULL,
  `SOURCE_INT` varchar(45) DEFAULT NULL,
  `TARGET_NE` varchar(45) DEFAULT NULL,
  `TARGET_INT` varchar(45) DEFAULT NULL,
  `PEER` varchar(45) DEFAULT NULL,
  `PREFERENTIAL` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `NE_METRO` (
  `NE_INIT` varchar(255) DEFAULT NULL,
  `UF` varchar(255) DEFAULT NULL,
  `NE_NAME` varchar(255) NOT NULL,
  `REAL_NE_NAME` varchar(45) DEFAULT NULL,
  `IP` varchar(255) NOT NULL,
  `VENDOR` varchar(255) DEFAULT NULL,
  `REAL_VENDOR` varchar(45) DEFAULT NULL,
  `HW_VERSION` varchar(255) DEFAULT NULL,
  `SFW_VERSION` varchar(255) DEFAULT NULL,
  `LICENSE` varchar(255) DEFAULT NULL,
  `OM_LINK` varchar(255) DEFAULT NULL,
  `CONNECTED_VIA` varchar(45) DEFAULT NULL,
  `GESA` varchar(45) DEFAULT NULL,
  `DATE` date NOT NULL,
  PRIMARY KEY (`NE_NAME`,`IP`,`DATE`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `NE_METRO_FULL_ROUTING` (
  `NE_NAME` varchar(50) DEFAULT NULL,
  `INTERFACE` varchar(150) DEFAULT NULL,
  `DESTINATION` varchar(45) DEFAULT NULL,
  `MASK` varchar(45) DEFAULT NULL,
  `NEXT_HOP` varchar(150) DEFAULT NULL,
  `PROTOCOL` varchar(150) DEFAULT NULL,
  `VRF` varchar(150) DEFAULT NULL,
  `PRE` int(11) DEFAULT 0,
  `COST` int(11) DEFAULT 0,
  `FLAGS` varchar(45) DEFAULT NULL,
  `DATE` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `NE_METRO_INT` (
  `NE_NAME` varchar(255) NOT NULL,
  `INTERFACE` varchar(255) NOT NULL,
  `IP` varchar(45) DEFAULT NULL,
  `TUNNEL_ID` varchar(45) DEFAULT NULL,
  `PEER_TUNNEL_IP` varchar(45) DEFAULT NULL,
  `PHY_STATUS` varchar(255) DEFAULT NULL,
  `LOG_STATUS` varchar(255) DEFAULT NULL,
  `DESCRIPTION` varchar(255) DEFAULT NULL,
  `RX_UTI` varchar(255) DEFAULT NULL,
  `TX_UTI` varchar(255) DEFAULT NULL,
  `RX_ERROR` int(11) DEFAULT NULL,
  `TX_ERROR` int(11) DEFAULT NULL,
  `RX_POWER` float DEFAULT NULL,
  `TX_POWER` float DEFAULT NULL,
  `RX_SENSE_HI` float DEFAULT NULL,
  `RX_SENSE_LO` float DEFAULT NULL,
  `TX_SENSE_HI` float DEFAULT NULL,
  `TX_SENSE_LO` float DEFAULT NULL,
  `QOS` varchar(45) DEFAULT NULL,
  `MTU` int(11) DEFAULT NULL,
  `MAC_A` varchar(255) DEFAULT NULL,
  `TYPE` varchar(255) DEFAULT NULL,
  `DUPLEX` varchar(45) DEFAULT NULL,
  `SPEED` varchar(255) DEFAULT NULL,
  `NEGOTIATION` varchar(255) DEFAULT NULL,
  `VRF` varchar(255) DEFAULT NULL,
  `NE_PTP_STATUS` varchar(45) DEFAULT NULL,
  `INT_PTP_CONFIG` varchar(45) DEFAULT NULL,
  `DATE` date NOT NULL,
  PRIMARY KEY (`NE_NAME`,`INTERFACE`,`DATE`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `NE_METRO_MAC` (
  `NE_NAME` varchar(45) NOT NULL,
  `INTERFACE` varchar(45) NOT NULL,
  `IP_A` varchar(45) DEFAULT NULL,
  `MAC_A` varchar(45) DEFAULT NULL,
  `IP_B` varchar(45) DEFAULT NULL,
  `MAC_B` varchar(45) DEFAULT NULL,
  `VRF` varchar(45) DEFAULT NULL,
  `DATE` date NOT NULL,
  PRIMARY KEY (`NE_NAME`,`INTERFACE`,`DATE`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `NE_METRO_ROUTING` (
  `NE_NAME` varchar(45) NOT NULL,
  `INTERFACE` varchar(45) NOT NULL,
  `IP_LOCAL` varchar(45) DEFAULT NULL,
  `MAC_LOCAL` varchar(45) DEFAULT NULL,
  `IP_RECEIVED` varchar(45) DEFAULT NULL,
  `MAC_RECEIVED` varchar(45) DEFAULT NULL,
  `NE_NAME_NEXT_HOP` varchar(45) DEFAULT NULL,
  `INTERFACE_NEXT_HOP` varchar(45) DEFAULT NULL,
  `IP_NEXT_HOP` varchar(45) DEFAULT NULL,
  `MAC_NEXT_HOP` varchar(45) DEFAULT NULL,
  `COST` varchar(45) DEFAULT NULL,
  `PEER` varchar(45) NOT NULL,
  `PREFERENTIAL` varchar(45) DEFAULT NULL,
  `VRF` varchar(45) DEFAULT NULL,
  `DATE` date NOT NULL,
  PRIMARY KEY (`NE_NAME`,`INTERFACE`,`PEER`,`DATE`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `NE_SMTX` (
  `NE_NAME` varchar(100) DEFAULT '-',
  `Status_SMTX` varchar(100) DEFAULT '-',
  `DATE` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `RADIOS_LINKS` (
  `HOP_INDEX` int(11) DEFAULT 0,
  `SITE_NAME` varchar(45) DEFAULT NULL,
  `SITE_NAME_LITERAL` varchar(45) DEFAULT NULL,
  `KEY_METRO` varchar(150) DEFAULT NULL,
  `SOURCE_ELEMENT` varchar(45) DEFAULT NULL,
  `TARGET_ELEMENT` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `SIMPLE_ROUTING_CHART` (
  `NE_NAME` varchar(45) DEFAULT NULL,
  `INTERFACE` varchar(45) DEFAULT NULL,
  `NE_NAME_NEXT_HOP` varchar(45) DEFAULT NULL,
  `INTERFACE_NEXT_HOP` varchar(45) DEFAULT NULL,
  `PEER` varchar(45) DEFAULT NULL,
  `PREFERENTIAL` varchar(45) DEFAULT NULL,
  `DATE` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;



TRUNCATE TABLE tx_ne_param_revolution.FULL_LINKS;
TRUNCATE TABLE tx_ne_param_revolution.FULL_LINKS;
TRUNCATE TABLE tx_ne_param_revolution.FULL_ROUTING_CHART;
TRUNCATE TABLE tx_ne_param_revolution.METRO_LINKS;
TRUNCATE TABLE tx_ne_param_revolution.NE_METRO;
TRUNCATE TABLE tx_ne_param_revolution.NE_METRO_FULL_ROUTING;
TRUNCATE TABLE tx_ne_param_revolution.NE_METRO_INT;
TRUNCATE TABLE tx_ne_param_revolution.NE_METRO_MAC;
TRUNCATE TABLE tx_ne_param_revolution.NE_METRO_ROUTING;
TRUNCATE TABLE tx_ne_param_revolution.RADIOS_LINKS;
TRUNCATE TABLE tx_ne_param_revolution.SIMPLE_ROUTING_CHART;